/*******************************************************************************
 * File Name:		Bitgen.v
 * Written by:		Arash Saifhashemi
 * Modified by: Roger Su
 * Last update:		December, 2007 
 *
 ******************************************************************************/
`include "VerilogCSP.v"
module Bitgen (right);
    parameter DATA_WIDTH = 8;
    parameter FL = 10;
    parameter BL = 2;
    `USES_CHANNEL
    `OUTPORT(right,DATA_WIDTH )
    reg [DATA_WIDTH -1:0] buffer;

initial
begin
    buffer = 1;
end

always
begin
 #FL;
 `SEND(right, buffer)
 #BL;     
end
endmodule