/*******************************************************************************
 * File Name:		SlackBuffer.v
 * Written by:		Roger Su
 * Last update:		December, 2007 
 *
 ******************************************************************************/
`include "VerilogCSP.v"
module SlackBuffer (left, right);
    parameter DATA_WIDTH = 8;
    parameter FL = 2;
    parameter BL = 4;
    `USES_CHANNEL
    `INPORT(left,DATA_WIDTH )
    `OUTPORT(right,DATA_WIDTH )
    reg [DATA_WIDTH -1:0] buffer;
always
begin
 `RECEIVE(left,buffer)     
 #FL;
 `SEND(right, buffer)     
 #BL;
end
endmodule