module synthesizedNode;
`USES_CHANNEL

`CHANNEL(Adder3_right_Adder5_left0, 8)
`CHANNEL(Adder4_right_Adder5_left1, 8)
`CHANNEL(Adder5_right_Bitbucket6_left0, 8)
`CHANNEL(MergeBitgen1Split_right0_Adder3_left0, 8)
`CHANNEL(MergeBitgen1Split_right1_Adder4_left0, 8)
`CHANNEL(MergeBitgen2Split_right0_Adder3_left1, 8)
`CHANNEL(MergeBitgen2Split_right1_Adder4_left1, 8)

Adder Adder3(.right(Adder3_right_Adder5_left0),
	.left0(MergeBitgen1Split_right0_Adder3_left0),
	.left1(MergeBitgen2Split_right0_Adder3_left1));

Adder Adder4(.right(Adder4_right_Adder5_left1),
	.left0(MergeBitgen1Split_right1_Adder4_left0),
	.left1(MergeBitgen2Split_right1_Adder4_left1));

Adder Adder5(.left0(Adder3_right_Adder5_left0),
	.left1(Adder4_right_Adder5_left1),
	.right(Adder5_right_Bitbucket6_left0));

Bitbucket Bitbucket6(.left0(Adder5_right_Bitbucket6_left0));

MergeBitgen1Split MergeBitgen1Split(.right0(MergeBitgen1Split_right0_Adder3_left0),
	.right1(MergeBitgen1Split_right1_Adder4_left0));

MergeBitgen2Split MergeBitgen2Split(.right0(MergeBitgen2Split_right0_Adder3_left1),
	.right1(MergeBitgen2Split_right1_Adder4_left1));

endmodule

//found library module Adder


//////////////////////////////////////////////////////////

//found library module Bitbucket


//////////////////////////////////////////////////////////

module MergeBitgen1Split(right0,right1);
`USES_CHANNEL
`OUTPORT(right0,8)
`OUTPORT(right1,8)

`CHANNEL(Bitgen1_right_Split_left, 8)
`CHANNEL(Bitgen1TokgenSplit_down_Split_up, 8)

Bitgen Bitgen1(.right(Bitgen1_right_Split_left));

Bitgen1TokgenSplit Bitgen1TokgenSplit(.down(Bitgen1TokgenSplit_down_Split_up));

Split2 Split(.left(Bitgen1_right_Split_left),
	.up(Bitgen1TokgenSplit_down_Split_up),
	.right0(right0),
	.right1(right1));

endmodule

//found library module Bitgen


//////////////////////////////////////////////////////////

module Bitgen1TokgenSplit(down);
`USES_CHANNEL
`OUTPORT(down,8)

`CHANNEL(SimpleTokgen1_right_SpecialTokgen_left, 8)
`CHANNEL(SlackBuffer_right_SimpleTokgen1_left, 8)
`CHANNEL(SpecialTokgen_right_SlackBuffer_left, 8)

SimpleTokgen #( .INIT_TOKEN(1) ) SimpleTokgen1(.left(SlackBuffer_right_SimpleTokgen1_left),
	.right(SimpleTokgen1_right_SpecialTokgen_left));

SlackBuffer SlackBuffer(.right(SlackBuffer_right_SimpleTokgen1_left),
	.left(SpecialTokgen_right_SlackBuffer_left));

SpecialTokgen #( .INIT_TOKEN(0) ) SpecialTokgen(.down(down),
	.left(SimpleTokgen1_right_SpecialTokgen_left),
	.right(SpecialTokgen_right_SlackBuffer_left));

endmodule

//found library module SimpleTokgen


//////////////////////////////////////////////////////////

//found library module SlackBuffer


//////////////////////////////////////////////////////////

//found library module SpecialTokgen


//////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////

//found library module Split2


//////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////

module MergeBitgen2Split(right0,right1);
`USES_CHANNEL
`OUTPORT(right0,8)
`OUTPORT(right1,8)

`CHANNEL(Bitgen2_right_Split_left, 8)
`CHANNEL(Bitgen2TokgenSplit_down_Split_up, 8)

Bitgen Bitgen2(.right(Bitgen2_right_Split_left));

Bitgen2TokgenSplit Bitgen2TokgenSplit(.down(Bitgen2TokgenSplit_down_Split_up));

Split2 Split(.left(Bitgen2_right_Split_left),
	.up(Bitgen2TokgenSplit_down_Split_up),
	.right0(right0),
	.right1(right1));

endmodule

module Bitgen2TokgenSplit(down);
`USES_CHANNEL
`OUTPORT(down,8)

`CHANNEL(SimpleTokgen1_right_SpecialTokgen_left, 8)
`CHANNEL(SlackBuffer_right_SimpleTokgen1_left, 8)
`CHANNEL(SpecialTokgen_right_SlackBuffer_left, 8)

SimpleTokgen #( .INIT_TOKEN(1) ) SimpleTokgen1(.left(SlackBuffer_right_SimpleTokgen1_left),
	.right(SimpleTokgen1_right_SpecialTokgen_left));

SlackBuffer SlackBuffer(.right(SlackBuffer_right_SimpleTokgen1_left),
	.left(SpecialTokgen_right_SlackBuffer_left));

SpecialTokgen #( .INIT_TOKEN(0) ) SpecialTokgen(.down(down),
	.left(SimpleTokgen1_right_SpecialTokgen_left),
	.right(SpecialTokgen_right_SlackBuffer_left));

endmodule


//////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////

